#include <iostream>
using namespace std;
int main() {
	int n, m, druzeljubivost[100000], poznanstva[100000] = {0}, xi, yi, sreca=0;
	cin >> n >> m;
	for (int i = 0; i < n; i++) cin >> druzeljubivost[i];
	for (int i = 0; i < m; i++) {
		cin >> xi >> yi;
		poznanstva[xi - 1]++;
		poznanstva[yi - 1]++;
	}
	for (int i = 0; i < n; i++) {
		sreca += druzeljubivost[i] * poznanstva[i];
	}
	cout << sreca << endl;
	return 0;
}